%define upstream_name    XML-Compile
%define upstream_version 1.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Handling of built-in facet checks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Report)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Math::BigRat)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Compile::Tester)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(bignum)
BuildArch: noarch

%description
Many (professional) applications process XML messages based on a formal
specification, expressed in XML Schemas. XML::Compile translates between
XML and Perl with the help of such schemas. Your Perl program only handles
a tree of nested HASHes and ARRAYs, and does not need to understand
namespaces and other general XML and schema nastiness.

Three serious WARNINGS:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml README ChangeLog META.json
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.520.0-2.mga6
+ Revision: 1035894
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 buchan <buchan> 1.520.0-1.mga6
+ Revision: 924669
- New upstream version 1.52

* Sun Jan 10 2016 buchan <buchan> 1.510.0-1.mga6
+ Revision: 920989
- New version 1.51

* Thu Jul 23 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 856480
- update to 1.50

* Mon Jun 22 2015 sander85 <sander85> 1.490.0-1.mga6
+ Revision: 839022
- update to 1.49

* Mon Dec 22 2014 buchan <buchan> 1.470.0-1.mga5
+ Revision: 804779
- imported package perl-XML-Compile


* Mon Dec 22 2014 Buchan Milne <buchan> 1.47-1mga
- initial mageia release, generated with cpan2dist
